Subject: Re: [PATCH] Fix rename/copy when dealing with temporarily broken pairs.

From: Jon Seymour <[email-masked]>
Date: Tue, 14 Jun 2005 02:24:16 +1000

G'day Junio,

On 6/12/05, Junio C Hamano <[email-masked]> wrote:
> When rename/copy uses a file that was broken by diffcore-break
> as the source, and the broken filepair gets merged back later,
> the output was mislabeled as a rename.  In this case, the source
> file ends up staying in the output, so we should label it as a
> copy instead.

I've got a patch series that renames a file, but the patches generated by your
git-format-patch-script fail to rename the file to the new name.

I wondered if this patch might fix it, but it doesn't seem to.

Here's a hunk from the patch:

diff --git a/epoch.c b/traversal.c
similarity index 100%
rename from epoch.c
rename to traversal.c
--- a/epoch.c
+++ b/traversal.c
@@ -14,7 +14,7 @@

 #include "cache.h"
 #include "commit.h"
-#include "epoch.h"
+#include "traversal.h"

 struct fraction {
        BIGNUM numerator;

What tool am I meant to be using to apply the patch? 

I am currently using "patch -p1"

jon.